## Script (Python) "takeaction"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##bind state=state
##parameters=
##title= action view
##

request = context.REQUEST
session = request.SESSION
response = request.RESPONSE

# The content type that is used to store sign-ups
record_type = "Action Record"

# Clear the record, allowing same PC/browser to be used
try:
   del session["record_path"]
except:
   pass


# Set on-site referral/origin URL

#if "onsite_origin_url" not in session.keys():
if request.HTTP_REFERER[:len(request.SERVER_URL)] == request.SERVER_URL:
   session["onsite_origin_url"] = request.HTTP_REFERER
else:
   session["onsite_origin_url"] = "direct"

# Make sure we're not cached!
response.setHeader('Expires', '-1')
response.setHeader('Pragma', 'no-cache')
response.setHeader('Cache-Control', 'no-cache')

# TODO: remove sanitizedTypeName if it's used nowhere!

try:
   firststep = context.getFirstStepId()
except:
   from Products.eCampaigning import ProductMessageFactory as _
   msg = _("warning_no_steps")
   xlation = context.translate(msg, domain="ecampaigning")
   return state.set(status='failure', portal_status_message=xlation)

session["stepid"] = firststep
#state.setKwargs({"persistent_stepid":firststep})
state.setNextAction('traverse_to:string:action_edition_step_view/%s' % firststep)
return state.set(status='success')
